curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/account_verifications \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/account_verifications"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_guid}/account_verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-api.mx.com/users/{user_guid}/account_verifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept-Version: <accept-version>",
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-api.mx.com/users/{user_guid}/account_verifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept-Version", "<accept-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-api.mx.com/users/{user_guid}/account_verifications")
.header("Accept-Version", "<accept-version>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-api.mx.com/users/{user_guid}/account_verifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept-Version"] = '<accept-version>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"account_verifications": [
{
"account_name": "Test account 2",
"account_number": "5366",
"account_number_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"account_type": "SAVINGS",
"created_at": "2016-10-13T17:57:37.000Z",
"institution_code": "chase",
"institution_name": "Chase Bank",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"micro_deposit_guid": "MCD-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
"routing_number": "68899990000000",
"updated_at": "2023-06-13T17:57:37.000Z",
"verification_method": "MICRO_DEPOSIT",
"verified_at": "2023-06-13T17:57:37.000Z"
}
]
}List all verifications for a user
This endpoint returns a list of the account verifications associated with the user, as well as the status of those verifications.
curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/account_verifications \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/account_verifications"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_guid}/account_verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-api.mx.com/users/{user_guid}/account_verifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept-Version: <accept-version>",
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-api.mx.com/users/{user_guid}/account_verifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept-Version", "<accept-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-api.mx.com/users/{user_guid}/account_verifications")
.header("Accept-Version", "<accept-version>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-api.mx.com/users/{user_guid}/account_verifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept-Version"] = '<accept-version>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"account_verifications": [
{
"account_name": "Test account 2",
"account_number": "5366",
"account_number_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"account_type": "SAVINGS",
"created_at": "2016-10-13T17:57:37.000Z",
"institution_code": "chase",
"institution_name": "Chase Bank",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"micro_deposit_guid": "MCD-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
"routing_number": "68899990000000",
"updated_at": "2023-06-13T17:57:37.000Z",
"verification_method": "MICRO_DEPOSIT",
"verified_at": "2023-06-13T17:57:37.000Z"
}
]
}Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20260929"
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Response
OK
Hide child attributes
Hide child attributes
The name of the account associated with the verification.
"Test account 2"
The account number of the account associated with the verification.
"5366"
The unique identifier for the account associated with the verification. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The name of the account type.
"SAVINGS"
The date and time the verification was created, given in ISO 8601 format.
"2016-10-13T17:57:37.000Z"
The code for the institution associated with the verification. May be null for institutions which are not in the MX system.
"chase"
An easy-to-read name for the institution. May be null for institutions which are not in the MX system.
"Chase Bank"
The unique identifier for the member associated with the verification. Defined by MX. null for microdeposit verifications, which belong to the user.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The unique identifier for the microdeposit associated with the verification. Defined by MX. null when verified by credentials.
"MCD-7ed79542-884d-2b1b-dd74-501c5cc9d25b"
The routing number for the account associated with the verification.
"68899990000000"
The date and time the verification was last updated, given in ISO 8601 format.
"2023-06-13T17:57:37.000Z"
The name of the verification method.
"MICRO_DEPOSIT"
When verification_method is CREDENTIALS: when the associated account was created. When MICRO_DEPOSIT: when the microdeposit status changed from DEPOSITED to VERIFIED.
"2023-06-13T17:57:37.000Z"

